The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: 1 2 [3]   Go Down

Author Topic: Apache 2.3.12-beta Released  (Read 22447 times)

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 583
Re: Apache 2.3.12-beta Released
« Reply #30 on: July 04, 2011, 12:01:45 PM »

Well the first calls are maybe slow. But after starting it is as fast as the module for me.
On my W2k8r2 with PHP 5.3.6 NTS VC9 I load

- mbstring
- mysql
- mysqli
- openssl
- pdo_mysql
- pdo_sqlite
- soap
- sockets
- sqlite
- sqlite3
- xmlrpc
- xsl

Code: [Select]
extension_dir = "/server2/php-nts/ext"
Logged

Sob

  • Jr. Member
  • **
  • Offline Offline
  • Posts: 72
Re: Apache 2.3.12-beta Released
« Reply #31 on: July 04, 2011, 05:04:50 PM »

I tried it on XP and W2k8, Apache 2.3.12, PHP 5.3.6 under mod_fcgid. Php.ini copied from php.ini-development.

At first any extension failed with popup:
Quote
PHP Startup: Unable to load dynamic library 'C:\php\php_extname.dll' - The specified module could not be found.
The problem was obvious, even if PHP was in c:\php (my wasn't), extensions were in ext subdirectory. Giving full path to ext directory to extension_dir in php.ini helped.

After that I was able to load all extensions listed in php.ini, except few database ones (because of some missing dlls, but I believe that those would be present, if I had databases installed) and three that were listed in ini, but not present in ext directory (phar, pspell and zip), but two of those are now compiled in php.
Logged

DnvrSysEngr

  • Jr. Member
  • **
  • Offline Offline
  • Posts: 80
Re: Apache 2.3.12-beta Released
« Reply #32 on: July 04, 2011, 06:00:15 PM »

SOB:

I am getting something similar to what you are showing.  I am going to reload Apache 2.3.12 and PHP on a test machine today and I will report later what I get (or don't get).  In the mean time, happy 4th everyone.

 - S
Logged

DnvrSysEngr

  • Jr. Member
  • **
  • Offline Offline
  • Posts: 80
Re: Apache 2.3.12-beta Released
« Reply #33 on: July 04, 2011, 10:11:06 PM »

Here is what I get when trying to run PHP 5.3 or 5.4 with Apache 2.3.12:

The Apache service named  reported the following error:
>>> httpd.exe: Syntax error on line 167 of C:/Program Files/Apache/conf/httpd.conf: Cannot load C:/Program Files/PHP/php5apache2_2.dll into server: The specified procedure could not be found.     .


mod_fcgid is configured and running and all is well until I try to run PHP.
Logged

DnvrSysEngr

  • Jr. Member
  • **
  • Offline Offline
  • Posts: 80
Re: Apache 2.3.12-beta Released
« Reply #34 on: July 04, 2011, 11:08:12 PM »

OK.  I got it figured out.  Mod_fcgid does what I need it to do --- it allows me to run PHP.  No need to load PHP as a module. 

Sorry everyone for being so slow to figure it out.

 - S
Logged

mario

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 583
Re: Apache 2.3.12-beta Released
« Reply #35 on: July 05, 2011, 10:32:45 AM »

Well the module for apache 2.4 will come soon. The PHP dev guys are working on it. I guess with the release of 2.4 it will be there.
Logged
Pages: 1 2 [3]   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13